org.eclipse.oomph.util

## Class PropertiesUtil

- java.lang.Object
- - org.eclipse.oomph.util.PropertiesUtil

-     public final class PropertiesUtil
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `EXPERT_FILTER`
    `static String` | `USER_HOME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boolean` | `getBoolean(String key)`
    `static String` | `getProperty(String key)`
    `static String` | `getProperty(String key, String defaultValue)`
    `static boolean` | `isProperty(String key)`
    `static Map<String,String>` | `loadProperties(File file)`
    `static void` | `saveProperties(File file, Map<String,String> properties, boolean sort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_HOME

          public static final String USER_HOME

    - #### EXPERT_FILTER

          public static final String[] EXPERT_FILTER

  - ### Method Detail

    - #### getBoolean

          public static Boolean getBoolean(String key)

    - #### isProperty

          public static boolean isProperty(String key)

    - #### getProperty

          public static String getProperty(String key)

    - #### getProperty

          public static String getProperty(String key,
                           String defaultValue)

    - #### saveProperties

          public static void saveProperties(File file,
                            Map<String,String> properties,
                            boolean sort)

    - #### loadProperties

          public static Map<String,String> loadProperties(File file)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html